curl --request PATCH \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"locale": "da",
"chatHome": {
"home": "Home",
"addDetails": "Add details",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessages": {
"messages": "Messages",
"noMessages": "No Messages",
"loginToSeeHistory": "Verify your email to save your conversation history.",
"historyShowsUpHere": "Your conversation history shows up here.",
"verifyEmail": "Verify your email",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessage": {
"botName": "Bot",
"yourName": "You",
"agentName": "Agent",
"escalationHeading": "Are you sure you want to escalate the chat to human support?",
"escalationSubHeading": "This conversation will be shared with the human support and they will get back to you as soon as they can.",
"yesContinue": "Yes, continue",
"cancel": "Cancel",
"conversationEscalated": "👨💼 Conversation changed to human mode"
},
"chatAccount": {
"account": "Account",
"verifyEmail": "Verify your email",
"loginToSeeHistory": "Verify your email to save your chat history.",
"emailLabel": "Email",
"nameLabel": "Name",
"phoneLabel": "Phone Number",
"sendingOtp": "Sending OTP...",
"verifyOtp": "Verify OTP",
"sentOtpToEmail": "We sent the OTP to your email address",
"otp": "OTP",
"verifyAndContinue": "Verify & Continue",
"notReceivedOtpYet": "Didn't receive OTP yet?",
"resend": "Resend",
"editDetails": "Edit Details",
"resetting": "Resetting...",
"verifying": "Verifying...",
"logout": "Logout",
"loggingOut": "Logging out...",
"verified": "Verified",
"edit": "Edit",
"update": "Update",
"updating": "Updating..."
}
}
EOFimport requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization"
payload = {
"locale": "da",
"chatHome": {
"home": "Home",
"addDetails": "Add details",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessages": {
"messages": "Messages",
"noMessages": "No Messages",
"loginToSeeHistory": "Verify your email to save your conversation history.",
"historyShowsUpHere": "Your conversation history shows up here.",
"verifyEmail": "Verify your email",
"startConversation": "Start a conversation",
"starting": "Starting..."
},
"chatMessage": {
"botName": "Bot",
"yourName": "You",
"agentName": "Agent",
"escalationHeading": "Are you sure you want to escalate the chat to human support?",
"escalationSubHeading": "This conversation will be shared with the human support and they will get back to you as soon as they can.",
"yesContinue": "Yes, continue",
"cancel": "Cancel",
"conversationEscalated": "👨💼 Conversation changed to human mode"
},
"chatAccount": {
"account": "Account",
"verifyEmail": "Verify your email",
"loginToSeeHistory": "Verify your email to save your chat history.",
"emailLabel": "Email",
"nameLabel": "Name",
"phoneLabel": "Phone Number",
"sendingOtp": "Sending OTP...",
"verifyOtp": "Verify OTP",
"sentOtpToEmail": "We sent the OTP to your email address",
"otp": "OTP",
"verifyAndContinue": "Verify & Continue",
"notReceivedOtpYet": "Didn't receive OTP yet?",
"resend": "Resend",
"editDetails": "Edit Details",
"resetting": "Resetting...",
"verifying": "Verifying...",
"logout": "Logout",
"loggingOut": "Logging out...",
"verified": "Verified",
"edit": "Edit",
"update": "Update",
"updating": "Updating..."
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
locale: 'da',
chatHome: {
home: 'Home',
addDetails: 'Add details',
startConversation: 'Start a conversation',
starting: 'Starting...'
},
chatMessages: {
messages: 'Messages',
noMessages: 'No Messages',
loginToSeeHistory: 'Verify your email to save your conversation history.',
historyShowsUpHere: 'Your conversation history shows up here.',
verifyEmail: 'Verify your email',
startConversation: 'Start a conversation',
starting: 'Starting...'
},
chatMessage: {
botName: 'Bot',
yourName: 'You',
agentName: 'Agent',
escalationHeading: 'Are you sure you want to escalate the chat to human support?',
escalationSubHeading: 'This conversation will be shared with the human support and they will get back to you as soon as they can.',
yesContinue: 'Yes, continue',
cancel: 'Cancel',
conversationEscalated: '👨💼 Conversation changed to human mode'
},
chatAccount: {
account: 'Account',
verifyEmail: 'Verify your email',
loginToSeeHistory: 'Verify your email to save your chat history.',
emailLabel: 'Email',
nameLabel: 'Name',
phoneLabel: 'Phone Number',
sendingOtp: 'Sending OTP...',
verifyOtp: 'Verify OTP',
sentOtpToEmail: 'We sent the OTP to your email address',
otp: 'OTP',
verifyAndContinue: 'Verify & Continue',
notReceivedOtpYet: 'Didn\'t receive OTP yet?',
resend: 'Resend',
editDetails: 'Edit Details',
resetting: 'Resetting...',
verifying: 'Verifying...',
logout: 'Logout',
loggingOut: 'Logging out...',
verified: 'Verified',
edit: 'Edit',
update: 'Update',
updating: 'Updating...'
}
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/settings/localization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Updated localization settings of the chatbot successfully",
"data": {}
}Update Chatbot Settings - Localization
Update localization settings of the chatbot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot
Body
Request body to update localization settings of the chatbot
Request Body. A group omitted from the body is reset to its defaults; a group that is present is merged key-by-key into the stored group. locale omitted or null resets to English.
Language of the text the widget writes itself (relative timestamps such as "just now"). A BCP-47 tag from the supported list, for example da, de, ja, pt. Common variants are accepted and stored canonically (da-DK becomes da); an unsupported tag is a validation error.
Localization settings for home screen in the chatbot
Show child attributes
Show child attributes
Localization settings for messages screen in the chatbot
Show child attributes
Show child attributes
Localization settings for individual conversations in the chatbot
Show child attributes
Show child attributes
Localization settings for account screen in the chatbot
Show child attributes
Show child attributes
Was this page helpful?